package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.AnswerCard;
import cn.com.qmth.stmms.biz.exam.model.AnswerCardSubject;
import cn.com.qmth.stmms.common.enums.CardSource;

public interface AnswerCardService {

    List<AnswerCard> findByExamId(Integer examId);

    AnswerCard findByExamIdAndNumber(Integer examId, Integer number);

    int findMaxNumberByExamId(Integer examId);

    void save(AnswerCard card, String subjectCode);

    void save(AnswerCard card, List<String> subjectCode);

    void delete(AnswerCard card);

    AnswerCard findByExamIdAndSubjectCode(Integer examId, String subjectCode, CardSource source);

    List<AnswerCardSubject> getSubjectByExamIdAndNumber(Integer examId, Integer number);

    AnswerCard findByExamIdAndCode(Integer examId, String code);

    boolean hasSubject(int examId, String code);

}
